<?php
get_header();?>
    <div class="wrapper-page">
    <!-- Header -->
    <header class="header">
        <div class="header-content">
            <div class="profile-picture-block">
                <div class="my-photo">
                    <?php if(get_option('rap_site_logo')):?>
                        <img src="<?php echo get_option('rap_site_logo');?>" class="img-fluid" alt="<?php bloginfo('name');?>">
                    <?php endif;?>
                </div>
            </div>
            <!-- Header Head -->
            <div class="site-title-block">
                <div class="site-title"><?php bloginfo('name'); ?></div>
                <div class="type-wrap">
                    <div class="typed-strings">
                        <?php echo get_option('rap_typed_strings'); ?>
                    </div>
                    <span class="typed" style="white-space:pre;"></span>
                </div>
            </div>
            <!-- /Header Head -->

            <!-- Navigation -->
            <div class="site-nav">
                <!-- Main menu -->
                <?php
                $menu_name = 'two_menu';
                if (($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
                    $menu = wp_get_nav_menu_object($locations[$menu_name]);
                    $menu_items = wp_get_nav_menu_items($menu->term_id);

                    $home_url = esc_url( home_url( '/' ) );
                    $menu_list = '<ul class="header-main-menu" id="header-main-menu">';
                    $menu_list .= '<li><a href="'.$home_url.'"><i class="fas fa-home"></i> خانه</a></li>';
                    foreach ((array) $menu_items as $key => $menu_item) {
                        $title = $menu_item->title;
                        $url = $menu_item->url;
                        $i_class = $menu_item->classes[0];
                        if($key){
                            $menu_list .= '<li><a href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                        }else{
                            $menu_list .= '<li><a class="active" href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                        }
                    }

                    echo $menu_list.'</ul>';

                }
                ?>
                <!-- /Main menu -->

                <!-- Copyrights -->
                <div class="copyrights"><?php echo get_option('rap_footer');?></div>
                <!-- / Copyrights -->
            </div>
            <!-- /Navigation -->
        </div>
    </header>
    <!-- /Header -->

    <!-- Mobile Header -->
    <div class="responsive-header">
        <div class="responsive-header-name">
            <?php if(get_option('rap_site_logo')):?>
                <img src="<?php echo get_option('rap_site_logo');?>" class="responsive-logo" alt="<?php bloginfo('name');?>">
            <?php endif;?>
            <?php bloginfo('name'); ?>
        </div>
        <span class="responsive-icon"><i class="lnr lnr-menu"></i></span>
    </div>
    <!-- /Mobile Header -->

    <!-- Main Content Pages -->
    <div class="content-pages">
        <!-- Subpages -->
        <div class="sub-home-pages">
            <!-- Titlebar -->
            <div id="titlebar">
                <div class="container">
                    <div class="special-block-bg">
                        <h2>مقالات</h2>
                        <!-- Breadcrumbs -->
                        <nav id="breadcrumbs">
                            <ul>
                                <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="pe-7s-home"></i> خانه</a></li>
                                <li><a href="#">مقالات</a></li>
                                <li><?php echo the_archive_title();?></li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
            <!-- /Titlebar -->

            <!-- Content -->
            <div class="container">
                <div class="row blog-grid-flex">
                    <?php
                    if(have_posts()):
                        while (have_posts()) : the_post();
                            $mode = get_post_meta(get_the_ID(),'mul_mode_box',true);
                            if($mode == 2){
                                $col = 'col-md-8';
                            }elseif( $mode == 3){
                                $col = 'col-md-4 blog-item-quote';
                            }else{
                                $col = 'col-md-4';
                            }
                            $term_lists = wp_get_post_terms(get_the_ID(), 'category');
                            $term_lists2 = wp_get_post_terms(get_the_ID(), 'post_tag');
                            ?>

                            <div class="<?php echo $col;?> col-sm-6 blog-item">
                                <div class="blog-article">
                                    <div class="comment-like"> <span><i class="fas fa-comment" aria-hidden="true"></i> <?php echo get_comments_number(); ?></span> </div>
                                    <div class="article-img">
                                        <a href="<?php echo get_the_permalink();?>"> <?php the_post_thumbnail('',array('class' => 'img-responsive')); ?></a>
                                    </div>
                                    <?php
                                    if($mode == 2){?>
                                        <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                        <div class="article-content">
                                            <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                            <div class="meta">
                                                <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                <span><i>در</i>
                                                    <?php
                                                    foreach($term_lists as $term_list){
                                                        $link_cat = get_tag_link($term_list->term_id);
                                                        echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                    };
                                                    ?>
                                                        </span>
                                                <span><i>برچسب ها</i>
                                                    <?php
                                                    foreach($term_lists2 as $term_list){
                                                        $link_tag = get_tag_link($term_list->term_id);
                                                        echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                    };
                                                    ?>
                                                        </span>
                                            </div>
                                            <?php the_excerpt();?>
                                        </div>
                                        <?php
                                    }elseif($mode == 3){
                                        ?>
                                        <div class="article-content">
                                            <div>
                                                <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                <div class="meta">
                                                    <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                    <span><i>در</i>
                                                        <?php
                                                        foreach($term_lists as $term_list){
                                                            $link_cat = get_tag_link($term_list->term_id);
                                                            echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                        };
                                                        ?>
                                                                </span>
                                                    <span><i>برچسب ها</i>
                                                        <?php
                                                        foreach($term_lists2 as $term_list){
                                                            $link_tag = get_tag_link($term_list->term_id);
                                                            echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                        };
                                                        ?>
                                                                </span>
                                                </div>
                                                <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                            </div>
                                        </div>
                                        <?php
                                    }else{?>
                                        <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                        <div class="article-content">
                                            <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                            <div class="meta">
                                                <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                <span><i>در</i>
                                                    <?php
                                                    foreach($term_lists as $term_list){
                                                        $link_cat = get_tag_link($term_list->term_id);
                                                        echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                    };
                                                    ?>
                                                        </span>
                                                <span><i>برچسب ها</i>
                                                    <?php
                                                    foreach($term_lists2 as $term_list){
                                                        $link_tag = get_tag_link($term_list->term_id);
                                                        echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                    };
                                                    ?>
                                                        </span>
                                            </div>
                                            <?php the_excerpt();?>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </div>
                            </div>
                        <?php endwhile;
                        ?>
                        <div class="pagination-nav nav-center">
                            <?php
                            $big = 999999999; // need an unlikely integer

                            echo paginate_links( array(
                                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                                'format' => '?paged=%#%',
                                'current' => max( 1, get_query_var('paged') )
                            ) );
                            ?>
                        </div>
                    <?php
                    else:
                        ?>
                        <div class="col-md-12">
                            <p>موردی یافت نشد !</p>
                        </div>
                    <?php
                    endif;
                    wp_reset_postdata();
                    ?>
                </div>
            </div><!-- #content -->
        </div>
        <!-- /Main Content -->
    </div>
<?php
get_footer();