<?php get_header(); ?>

    <div class="wrapper-page">
        <!-- Header -->
        <header class="header">
            <div class="header-content">
                <div class="profile-picture-block">
                    <div class="my-photo">
                        <?php if(get_option('rap_site_logo')):?>
                            <img src="<?php echo get_option('rap_site_logo');?>" class="img-fluid" alt="<?php bloginfo('name');?>">
                        <?php endif;?>
                    </div>
                </div>
                <!-- Header Head -->
                <div class="site-title-block">
                    <div class="site-title"><?php bloginfo('name'); ?></div>
                    <div class="type-wrap">
                        <div class="typed-strings">
                            <?php echo get_option('rap_typed_strings'); ?>
                        </div>
                        <span class="typed" style="white-space:pre;"></span>
                    </div>
                </div>
                <!-- /Header Head -->

                <!-- Navigation -->
                <div class="site-nav">
                    <!-- Main menu -->
                    <?php
                    $menu_name = 'one_menu';
                    if (($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
                        $menu = wp_get_nav_menu_object($locations[$menu_name]);
                        $menu_items = wp_get_nav_menu_items($menu->term_id);

                        $menu_list = '<ul class="header-main-menu" id="header-main-menu">';
                        foreach ((array) $menu_items as $key => $menu_item) {
                            $title = $menu_item->title;
                            $url = $menu_item->url;
                            $i_class = $menu_item->classes[0];
                            if($key){
                                $menu_list .= '<li><a href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }else{
                                $menu_list .= '<li><a class="active" href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }
                        }

                        echo $menu_list.'</ul>';

                    }
                    ?>
                    <!-- /Main menu -->

                    <!-- Copyrights -->
                    <div class="copyrights"><?php echo get_option('rap_footer');?></div>
                    <!-- / Copyrights -->
                </div>
                <!-- /Navigation -->
            </div>
        </header>
        <!-- /Header -->

        <!-- Mobile Header -->
        <div class="responsive-header">
            <div class="responsive-header-name">
                <?php if(get_option('rap_site_logo')):?>
                    <img src="<?php echo get_option('rap_site_logo');?>" class="responsive-logo" alt="<?php bloginfo('name');?>">
                <?php endif;?>
                <?php bloginfo('name'); ?>
            </div>
            <span class="responsive-icon"><i class="lnr lnr-menu"></i></span>
        </div>
        <!-- /Mobile Header -->

        <!-- Main Content Pages -->
        <div class="content-pages">
            <!-- Subpages -->
            <div class="sub-home-pages">

                <!-- Start Page home -->
                <section id="home" class="sub-page start-page">
                    <div class="sub-page-inner" style="background: url('<?php echo get_option('rap_bg_home'); ?>');">
                        <div class="mask"></div>
                        <div class="row">
                            <div class="col-sm-12 col-md-12 col-lg-12">
                                <div class="title-block">
                                    <h2><?php echo get_option('rap_title_home'); ?></h2>
                                    <div class="type-wrap">
                                        <div class="typed-strings">
                                            <?php echo get_option('rap_typed_strings'); ?>
                                        </div>
                                        <span class="typed" style="white-space:pre;"></span>
                                    </div>
                                    <div class="home-buttons">
                                        <?php if(get_option('rap_btn_contact') ==  'on'):?>
                                            <a href="<?php echo get_option('rap_btn_contact_link'); ?>" class="bt-submit"><i class="lnr lnr-envelope"></i> <?php echo get_option('rap_btn_contact_text'); ?></a>
                                        <?php endif;?>
                                        <?php if(get_option('rap_btn_briefcase') == 'on'):?>
                                            <a href="<?php echo get_option('rap_btn_briefcase_link'); ?>" class="bt-submit"><i class="lnr lnr-briefcase"></i> <?php echo get_option('rap_btn_briefcase_text'); ?></a>
                                        <?php endif;?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /Start Page home -->

                <!-- About Me Subpage -->
                <section id="about-me" class="sub-page">
                    <div class="sub-page-inner">
                        <div class="section-title">
                            <div class="main-title">
                                <div class="title-main-page">
                                    <h4><?php echo get_option('rap_title_about'); ?></h4>
                                    <p><?php echo get_option('rap_subtitle_about'); ?></p>
                                </div>
                            </div>
                        </div>
                        <div class="section-content">
                            <!-- about me -->
                            <div class="row pb-30">
                                <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                                    <h3><?php echo get_option('rap_about_title'); ?></h3>
                                    <!--                                <span class="about-location"><i class="lnr lnr-map-marker"></i> جمهوری اسلامی ایران</span>-->
                                    <p class="about-content">
                                        <?php echo get_option('rap_about_text'); ?>
                                    </p>
                                    <!--                                <ul class="bout-list-summry row">-->
                                    <!--                                    <li class="col-xs-12 col-sm-12 col-md-4 col-lg-4">-->
                                    <!--                                        <div class="icon-info">-->
                                    <!--                                            <i class="lnr lnr-briefcase"></i>-->
                                    <!--                                        </div>-->
                                    <!--                                        <div class="details-info">-->
                                    <!--                                            <h6>+5 سال</h6>-->
                                    <!--                                            <p>تجربه</p>-->
                                    <!--                                        </div>-->
                                    <!--                                    </li>-->
                                    <!--                                    <li class="col-xs-12 col-sm-12 col-md-4 col-lg-4">-->
                                    <!--                                        <div class="icon-info">-->
                                    <!--                                            <i class="lnr lnr-layers"></i>-->
                                    <!--                                        </div>-->
                                    <!--                                        <div class="details-info">-->
                                    <!--                                            <h6>+300 پروژه</h6>-->
                                    <!--                                            <p>تکمیل شده</p>-->
                                    <!--                                        </div>-->
                                    <!--                                    </li>-->
                                    <!--                                    <li class="col-xs-12 col-sm-12 col-md-4 col-lg-4">-->
                                    <!--                                        <div class="icon-info">-->
                                    <!--                                            <i class="lnr lnr-coffee-cup"></i>-->
                                    <!--                                        </div>-->
                                    <!--                                        <div class="details-info">-->
                                    <!--                                            <h6>+ 150 ایده</h6>-->
                                    <!--                                            <p>موفق</p>-->
                                    <!--                                        </div>-->
                                    <!--                                    </li>-->
                                    <!--                                </ul>-->
                                </div>

                                <div class="col-xs-6 col-sm-12 col-md-6 col-lg-6">
                                    <div class="box-img">
                                        <?php if(get_option('rap_image_about')):?>
                                            <img src="<?php echo get_option('rap_image_about');?>" class="img-fluid">
                                        <?php endif;?>
                                    </div>
                                </div>
                            </div>
                            <!-- /about me -->

                            <!-- services -->
                            <?php if(get_option('rap_service') == 'on'):?>
                                <div class="special-block-bg">
                                    <div class="section-head">
                                        <h4>
                                            <span><?php echo get_option('rap_title_service');?></span>
                                            <?php echo get_option('rap_subtitle_service');?>
                                        </h4>
                                    </div>
                                    <div class="row">
                                        <?php
                                        $services_per_page = get_option('rap_num_service');
                                        $service_args = array(
                                            'post_type'        => array('service'),
                                            'posts_per_page'   => $services_per_page
                                        );
                                        $services = new WP_Query($service_args);
                                        if ( $services->have_posts() ) :
                                            while ( $services->have_posts() ) : $services->the_post(); ?>
                                                <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                                                    <div class="services-list">
                                                        <div class="service-block">
                                                            <div class="service-icon">
                                                                <i class="lnr <?php echo get_post_meta(get_the_ID(),'mul_icon_service_box',true);?>"></i>
                                                            </div>
                                                            <div class="service-text">
                                                                <h4> <?php echo get_the_title();?></h4>
                                                                <?php echo the_content();?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endwhile;
                                            wp_reset_postdata();
                                        endif; ?>
                                    </div>
                                </div>
                            <?php endif;?>
                            <!-- /services -->

                            <!-- Video section -->
                            <?php if(get_option('rap_about_video') == 'on'):?>
                                <div class="video-section" style="background: url('<?php echo get_option('rap_image_about_video');?>');">
                                    <div class="overlay pb-40 pt-40">
                                        <div class="container">
                                            <div class="row">
                                                <div class="col-xs-12 col-sm-12 col-md-7 col-lg-7">
                                                    <div class="sub-title">
                                                        <h6><?php echo get_option('rap_title_about_video');?></h6>
                                                        <h2><?php echo get_option('rap_subtitle_about_video');?></h2>
                                                    </div>
                                                </div>
                                                <div class="col-xs-12 col-sm-12 col-md-5 col-lg-5">
                                                    <div class="pulse-icon">
                                                        <div class="icon-wrap">
                                                            <a href="<?php echo get_option('rap_link_about_video');?>">
                                                                <i class="fa fa-play"></i>
                                                            </a>
                                                        </div>
                                                        <div class="elements">
                                                            <div class="circle circle-outer"></div>
                                                            <div class="circle circle-inner"></div>
                                                            <div class="pulse pulse-1"></div>
                                                            <div class="pulse pulse-2"></div>
                                                            <div class="pulse pulse-3"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endif;?>
                            <!-- /Video section -->

                            <!-- Fun Facts -->
                            <?php if(get_option('rap_about_amar') == 'on'):?>
                                <div class="row pb-30 pt-30">
                                    <div class="section-head col-sm-12">
                                        <h4>
                                            <span><?php echo get_option('rap_title_about_amar');?></span>
                                            <?php echo get_option('rap_subtitle_about_amar');?>
                                        </h4>
                                    </div>
                                    <!-- Item 1 -->
                                    <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                        <div class="pb-30">
                                            <div class="counter-block">
                                                <i class="pe-7s-smile"></i>
                                                <h4><?php echo get_option('rap_title_smile_amar');?></h4>
                                                <span class="counter-block-value" data-count="<?php echo get_option('rap_count_smile_amar');?>">0</span>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /Item 1-->

                                    <!-- Item 2 -->
                                    <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                        <div class="pb-30">
                                            <div class="counter-block">
                                                <i class="pe-7s-light"></i>
                                                <h4><?php echo get_option('rap_title_light_amar');?></h4>
                                                <span class="counter-block-value" data-count="<?php echo get_option('rap_count_light_amar');?>">0</span>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /Item 2 -->

                                    <!-- Item 3-->
                                    <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                        <div class="pb-30">
                                            <div class="counter-block">
                                                <i class="pe-7s-cup"></i>
                                                <h4><?php echo get_option('rap_title_cup_amar');?></h4>
                                                <span class="counter-block-value" data-count="<?php echo get_option('rap_count_cup_amar');?>">0</span>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /Item 3 -->

                                    <!-- Item 4-->
                                    <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">
                                        <div class="pb-30">
                                            <div class="counter-block">
                                                <i class="pe-7s-coffee"></i>
                                                <h4><?php echo get_option('rap_title_coffee_amar');?></h4>
                                                <span class="counter-block-value" data-count="<?php echo get_option('rap_count_coffee_amar');?>">0</span>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /Item 4-->
                                </div>
                            <?php endif;?>
                            <!-- /Fun Facts -->

                            <!-- List OF Testimonials -->
                            <?php if(get_option('rap_about_comment') == 'on'):?>
                                <div class="special-block-bg">
                                    <div class="section-head">
                                        <h4>
                                            <span><?php echo get_option('rap_title_about_comment');?></span>
                                            <?php echo get_option('rap_subtitle_about_comment');?>
                                        </h4>
                                    </div>
                                    <div class="testimonials owl-carousel">
                                        <?php
                                        $comments_per_page = get_option('rap_num_comment');
                                        $comments_args = array(
                                            'post_type'        => array('customer_comment'),
                                            'posts_per_page'   => $comments_per_page
                                        );
                                        $customer_comments = new WP_Query($comments_args);
                                        if ( $customer_comments->have_posts() ) :
                                            while ( $customer_comments->have_posts() ) : $customer_comments->the_post(); ?>

                                                <div class="testimonial-item">
                                                    <div class="testimonial-content">
                                                        <div class="testimonial-review">
                                                            <?php the_content();?>
                                                        </div>
                                                    </div>
                                                    <div class="testimonial-footer">
                                                        <div class="testimonial-avatar">
                                                            <?php the_post_thumbnail(array(76,76)); ?>                                                    </div>
                                                        <div class="testimonial-owner-content">
                                                            <p class="testimonial-owner"><?php echo get_the_title();?> </p>
                                                            <p class="testimonial-position"><?php echo get_post_meta(get_the_ID(),'mul_position_comment_box',true);?></p>
                                                            <ul class="testimonial-rating">
                                                                <?php
                                                                $star = get_post_meta(get_the_ID(),'mul_star_comment_box',true);
                                                                for($i = 0; $i < 5; $i++):
                                                                    if($i < $star){
                                                                        echo '<li><i class="fa fa-star"></i></li>';
                                                                    }
                                                                    else{
                                                                        echo '<li style="color: #eee"><i class="fa fa-star"></i></li>';
                                                                    }
                                                                endfor;
                                                                ?>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endwhile;
                                            wp_reset_postdata();
                                        endif; ?>
                                    </div>
                                </div>
                            <?php endif;?>

                            <!-- /List OF Testimonials -->

                            <!-- Clients Blocks -->
                            <?php if(get_option('rap_about_customer') == 'on'):?>
                                <div class="row pt-50">
                                    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                        <div class="section-head">
                                            <h4>
                                                <span><?php echo get_option('rap_title_about_customer');?></span>
                                                <?php echo get_option('rap_subtitle_about_customer');?>
                                            </h4>
                                        </div>
                                        <!--List Of Clients -->
                                        <div class="clients owl-carousel">
                                            <?php
                                            $customer_per_page = get_option('rap_num_customer');
                                            $customer_args = array(
                                                'post_type'        => array('customer'),
                                                'posts_per_page'   => $customer_per_page
                                            );
                                            $customer = new WP_Query($customer_args);
                                            if ( $customer->have_posts() ) :
                                                while ( $customer->have_posts() ) : $customer->the_post(); ?>
                                                    <div class="client-block">
                                                        <a href="<?php echo get_post_meta(get_the_ID(),'mul_link_customer_box',true);?>" target="_blank" title="client">
                                                            <img src="<?php the_post_thumbnail_url(); ?>" title="<?php echo get_the_title();?>" alt="<?php echo get_the_title();?>">
                                                            <!--                                                            --><?php //the_post_thumbnail(array(100,64)); ?>
                                                        </a>
                                                    </div>
                                                <?php endwhile;
                                                wp_reset_postdata();
                                            endif; ?>
                                        </div>
                                        <!-- /List Of Clients -->
                                    </div>
                                </div>
                            <?php endif;?>
                            <!-- /Clients Block -->
                        </div>
                    </div>
                </section>
                <!-- About Me Subpage -->

                <!-- Resume Subpage -->
                <section id="resume" class="sub-page">
                    <div class="sub-page-inner">
                        <div class="section-title">
                            <div class="main-title">
                                <h4><?php echo get_option('rap_title_resume');?></h4>
                                <div class="title-main-page">
                                    <p><?php echo get_option('rap_subtitle_resume');?></p>
                                </div>
                            </div>
                        </div>

                        <div class="section-content">
                            <div class="row">
                                <div class="col-xs-12 col-sm-12 col-md-12">

                                    <!-- Work History -->
                                    <?php if(get_option('rap_history') == 'on'):?>
                                        <div class="pb-30">
                                            <div class="section-head">
                                                <h4>
                                                    <span><?php echo get_option('rap_title_history');?></span>
                                                    <?php echo get_option('rap_subtitle_history');?>
                                                </h4>
                                                <a class="bt-submit" href="<?php echo get_option('rap_file_resume');?>"><i class="fas fa-cloud-download-alt"></i> <?php echo get_option('rap_title_resume_text');?></a>
                                            </div>

                                            <div class="main-timeline">
                                                <?php
                                                $index = 0;
                                                $history_per_page = get_option('rap_num_history');
                                                $history_args = array(
                                                    'post_type'        => array('history'),
                                                    'posts_per_page'   => $history_per_page
                                                );
                                                $history = new WP_Query($history_args);
                                                if ( $history->have_posts() ) :
                                                    while ( $history->have_posts() ) : $history->the_post(); ?>
                                                        <div class="timeline <?php if(!$index){echo 'currecnt';}?>">
                                                            <div class="timeline-icon">
                                                                <?php the_post_thumbnail(); ?>
                                                            </div>
                                                            <div class="timeline-content">
                                                                <span class="date"><?php echo get_the_date('Y-M');?></span>
                                                                <h5 class="title"><?php echo get_the_title();?></h5>
                                                                <?php the_content();
                                                                $index ++;
                                                                ?>
                                                            </div>
                                                        </div>
                                                    <?php endwhile;
                                                    wp_reset_postdata();
                                                endif; ?>
                                            </div>
                                        </div>
                                    <?php endif;?>
                                    <!-- /Work History -->

                                    <!-- Skills -->
                                    <div class="pb-30 pt-30">
                                        <div class="row list-skills">
                                            <!-- Work Skills -->
                                            <?php if(get_option('rap_work_skills') == 'on'):?>
                                                <div class="col-md-7">
                                                    <div class="special-block-bg">
                                                        <div class="section-head">
                                                            <h4>
                                                                <span><?php echo get_option('rap_title_work_skills');?></span>
                                                                <?php echo get_option('rap_subtitle_work_skills');?>
                                                            </h4>
                                                        </div>
                                                        <div class="skills-items skills-progressbar">
                                                            <?php
                                                            $work_skills_per_page = get_option('rap_num_work_skills');
                                                            $work_skills_args = array(
                                                                'post_type'        => array('work_skills'),
                                                                'posts_per_page'   => $work_skills_per_page
                                                            );
                                                            $work_skills = new WP_Query($work_skills_args);
                                                            if ( $work_skills->have_posts() ) :
                                                                while ( $work_skills->have_posts() ) : $work_skills->the_post(); ?>
                                                                    <div class="skill-item">
                                                                        <h4><?php echo get_the_title();?></h4>
                                                                        <div class="progress">
                                                                            <div class="progress-bar wow fadeInLeft" data-progress="<?php echo get_post_meta(get_the_ID(),'mul_percent_skill_customer_box',true);?>%" style="width: <?php echo get_post_meta(get_the_ID(),'mul_percent_skill_customer_box',true);?>%;" data-wow-duration="1.5s" data-wow-delay="1.2s"> </div>
                                                                        </div>
                                                                        <span><?php echo get_post_meta(get_the_ID(),'mul_percent_skill_customer_box',true);?>%</span>
                                                                    </div>
                                                                <?php endwhile;
                                                                wp_reset_postdata();
                                                            endif; ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif;?>
                                            <!-- /Work Skills -->

                                            <!-- Languages Skills -->
                                            <?php if(get_option('rap_lag_skills') == 'on'):?>
                                                <div class="col-md-5">
                                                    <div class="special-block-bg">
                                                        <div class="section-head">
                                                            <h4>
                                                                <span><?php echo get_option('rap_title_lag_skills');?></span>
                                                                <?php echo get_option('rap_subtitle_lag_skills');?>
                                                            </h4>
                                                        </div>
                                                        <div class="skills-items">
                                                            <?php
                                                            $lag_skills_per_page = get_option('rap_num_lag_skills');
                                                            $lag_skills_args = array(
                                                                'post_type'        => array('lag_skills'),
                                                                'posts_per_page'   => $lag_skills_per_page
                                                            );
                                                            $lag_skills = new WP_Query($lag_skills_args);
                                                            if ( $lag_skills->have_posts() ) :
                                                                while ( $lag_skills->have_posts() ) : $lag_skills->the_post(); ?>
                                                                    <div class="language-skill row">
                                                                        <h4 class="col-md-6 text-right"><?php echo get_the_title();?><span><?php echo get_post_meta(get_the_ID(),'mul_level_skill_box',true);?></span> </h4>
                                                                        <ul class="col-md-6 text-left rating">
                                                                            <?php
                                                                            $star_skill = get_post_meta(get_the_ID(),'mul_star_skill_box',true);
                                                                            for($i = 0; $i < 5; $i++):
                                                                                if($i < $star_skill){
                                                                                    echo '<li><i class="fa fa-star"></i></li>';
                                                                                }
                                                                                else{
                                                                                    echo '<li><i class="fa fa-star half-star"></i></li>';
                                                                                }
                                                                            endfor;
                                                                            ?>
                                                                        </ul>
                                                                    </div>
                                                                <?php endwhile;
                                                                wp_reset_postdata();
                                                            endif; ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif;?>
                                            <!-- /Languages Skills -->
                                        </div>
                                    </div>
                                    <!-- /Skills -->

                                    <!-- Education History -->
                                    <?php if(get_option('rap_education') == 'on'):?>
                                        <div class="pt-30">
                                            <div class="section-head">
                                                <h4>
                                                    <span><?php echo get_option('rap_title_education');?> </span>
                                                    <?php echo get_option('rap_subtitle_education');?>
                                                </h4>
                                            </div>
                                            <div class="main-timeline">
                                                <?php
                                                $index = 0;
                                                $education_per_page = get_option('rap_num_education');
                                                $education_args = array(
                                                    'post_type'        => array('education'),
                                                    'posts_per_page'   => $education_per_page
                                                );
                                                $education = new WP_Query($education_args);
                                                if ( $education->have_posts() ) :
                                                    while ( $education->have_posts() ) : $education->the_post(); ?>
                                                        <div class="timeline <?php if(!$index){echo 'currecnt';}?>">
                                                            <div class="timeline-icon">
                                                                <?php the_post_thumbnail(); ?>
                                                            </div>
                                                            <div class="timeline-content">
                                                                <span class="date"><?php echo get_the_date('Y-m');?></span>
                                                                <h5 class="title"><?php echo get_the_title();?></h5>
                                                                <?php the_content();
                                                                $index ++;
                                                                ?>
                                                            </div>
                                                        </div>
                                                    <?php endwhile;
                                                    wp_reset_postdata();
                                                endif; ?>
                                            </div>
                                        </div>
                                    <?php endif;?>
                                    <!-- /Education History -->
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- End of Resume Subpage -->

                <!-- Portfolio Subpage -->
                <section id="portfolio" class="sub-page">
                    <div class="sub-page-inner">
                        <div class="section-title">
                            <div class="main-title">
                                <div class="title-main-page">
                                    <h4><?php echo get_option('rap_title_work');?></h4>
                                    <p><?php echo get_option('rap_subtitle_work');?></p>
                                </div>
                            </div>
                        </div>

                        <div class="section-content">
                            <?php
                            $count_posts = wp_count_posts('work');
                            $published_posts = $count_posts->publish;
                            ?>
                            <div class="filter-tabs">
                                <button class="fil-cat" data-rel="all"><span><?php echo $published_posts; ?></span> همه</button>
                                <?php $work_cats = get_terms('work_category', array('hide_empty'=> false));
                                foreach($work_cats as $work_cat):?>
                                    <button class="fil-cat" data-rel="<?php echo $work_cat->slug;?>"><span><?php echo $work_cat->count;?></span> <?php echo $work_cat->name;?></button>
                                <?php endforeach; ?>
                            </div>

                            <div class="portfolio-grid portfolio-trigger" id="portfolio-page">
                                <div class="label-portfolio"><span class="rotated-sub">پروژه ها</span><span class="project-count"><?php echo $published_posts; ?></span></div>
                                <div class="row">
                                    <?php
                                    $work_args = array(
                                        'post_type'        => array('work')
                                    );
                                    $works = new WP_Query($work_args);
                                    if ( $works->have_posts() ) :
                                        while ( $works->have_posts() ) : $works->the_post();
                                            $cat_slug = '';
                                            $cat_name = '';
                                            $term_lists = wp_get_post_terms(get_the_ID(), 'work_category');
                                            foreach($term_lists as $term_list){
                                                $cat_slug .= ' '.$term_list->slug;
                                                $cat_name .= '+'.$term_list->name;
                                            };?>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 portfolio-item<?php echo $cat_slug; ?> all">
                                                <div class="portfolio-img">
                                                    <?php the_post_thumbnail('',array('class' => 'img-responsive')); ?>
                                                </div>
                                                <div class="portfolio-data">
                                                    <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                    <p class="meta"><?php echo $cat_name; ?></p>
                                                    <div class="portfolio-attr">
                                                        <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-link"></i></a>
                                                        <a href="<?php echo the_post_thumbnail_url();?>" data-rel="lightcase:gal" title="Image Caption"><i class="lnr lnr-move"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endwhile;
                                        wp_reset_postdata();
                                    endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /Portfolio Subpage -->

                <!-- Blog Subpage -->
                <section id="blog" class="sub-page">
                    <div class="sub-page-inner">
                        <div class="section-title">
                            <div class="main-title">
                                <div class="title-main-page">
                                    <h4><?php echo get_option('rap_title_blog');?></h4>
                                    <p><?php echo get_option('rap_subtitle_blog');?></p>
                                </div>
                            </div>
                        </div>

                        <div class="section-content">
                            <div class="row blog-grid-flex">
                                <?php
                                $post_args = array(
                                    'post_type'        => array('post')
                                );
                                $home = esc_url( home_url( '/' ) );
                                $home = str_replace('http://','',$home);
                                $home = str_replace('https://','',$home);
                                $home1 = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
                                $blogs = new WP_Query($post_args);
                                if($home1 != $home){
                                    global $wp_query;
                                    $blogs = $wp_query;

                                }
                                if ( $blogs->have_posts() ) :
                                    while ( $blogs->have_posts() ) : $blogs->the_post();
                                        $mode = get_post_meta(get_the_ID(),'mul_mode_box',true);
                                        if($mode == 2){
                                            $col = 'col-md-8';
                                        }elseif( $mode == 3){
                                            $col = 'col-md-4 blog-item-quote';
                                        }else{
                                            $col = 'col-md-4';
                                        }
                                        $term_lists = wp_get_post_terms(get_the_ID(), 'category');
                                        $term_lists2 = wp_get_post_terms(get_the_ID(), 'post_tag');
                                        ?>

                                        <div class="<?php echo $col;?> col-sm-6 blog-item">
                                            <div class="blog-article">
                                                <div class="comment-like"> <span><i class="fas fa-comment" aria-hidden="true"></i> <?php echo get_comments_number(); ?></span> </div>
                                                <div class="article-img">
                                                    <a href="<?php echo get_the_permalink();?>"> <?php the_post_thumbnail('',array('class' => 'img-responsive')); ?></a>
                                                </div>
                                                <?php
                                                if($mode == 2){?>
                                                    <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                                    <div class="article-content">
                                                        <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                        <div class="meta">
                                                            <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                            <span><i>در</i>
                                                                <?php
                                                                foreach($term_lists as $term_list){
                                                                    $link_cat = get_tag_link($term_list->term_id);
                                                                    echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                                };
                                                                ?>
                                                        </span>
                                                            <span><i>برچسب ها</i>
                                                                <?php
                                                                foreach($term_lists2 as $term_list){
                                                                    $link_tag = get_tag_link($term_list->term_id);
                                                                    echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                                };
                                                                ?>
                                                        </span>
                                                        </div>
                                                        <?php the_excerpt();?>
                                                    </div>
                                                    <?php
                                                }elseif($mode == 3){
                                                    ?>
                                                    <div class="article-content">
                                                        <div>
                                                            <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                            <div class="meta">
                                                                <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                                <span><i>در</i>
                                                                    <?php
                                                                    foreach($term_lists as $term_list){
                                                                        $link_cat = get_tag_link($term_list->term_id);
                                                                        echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                                    };
                                                                    ?>
                                                                </span>
                                                                <span><i>برچسب ها</i>
                                                                    <?php
                                                                    foreach($term_lists2 as $term_list){
                                                                        $link_tag = get_tag_link($term_list->term_id);
                                                                        echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                                    };
                                                                    ?>
                                                                </span>
                                                            </div>
                                                            <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                                        </div>
                                                    </div>
                                                    <?php
                                                }else{?>
                                                    <div class="article-link"> <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-arrow-left"></i></a> </div>
                                                    <div class="article-content">
                                                        <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                        <div class="meta">
                                                            <span><?php echo get_the_date('Y-m-d'); ?></span>
                                                            <span><i>در</i>
                                                                <?php
                                                                foreach($term_lists as $term_list){
                                                                    $link_cat = get_tag_link($term_list->term_id);
                                                                    echo ' <a href="'.$link_cat.'">'.$term_list->name.'</a>';
                                                                };
                                                                ?>
                                                        </span>
                                                            <span><i>برچسب ها</i>
                                                                <?php
                                                                foreach($term_lists2 as $term_list){
                                                                    $link_tag = get_tag_link($term_list->term_id);
                                                                    echo ' <a href="'.$link_tag.'">'.$term_list->name.'</a>';
                                                                };
                                                                ?>
                                                        </span>
                                                        </div>
                                                        <?php the_excerpt();?>
                                                    </div>
                                                    <?php
                                                }
                                                ?>
                                            </div>
                                        </div>
                                    <?php endwhile;?>
                                    <div class="pagination-nav nav-center">
                                        <?php
                                        $big = 999999999; // need an unlikely integer

                                        echo paginate_links( array(
                                            'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                                            'format' => '?paged=%#%',
                                            'current' => max( 1, get_query_var('paged') )
                                        ) );
                                        ?>
                                    </div>
                                    <?php
                                    wp_reset_postdata();
                                endif; ?>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /Blog Subpage -->

                <!-- Contact Subpage -->
                <section id="contact" class="sub-page">
                    <div class="sub-page-inner">
                        <div class="section-title">
                            <div class="main-title">
                                <div class="title-main-page">
                                    <h4><?php echo get_option('rap_title_contact');?></h4>
                                    <p><?php echo get_option('rap_subtitle_contact');?></p>
                                </div>
                            </div>
                        </div>
                        <!-- Contact Form -->
                        <div class="row contact-form pb-30">
                            <div class="col-sm-12 col-md-5 col-lg-5 left-background">
                                <?php
                                if(get_option('rap_image_contact')){
                                    echo '<img src="'.get_option('rap_image_contact').'" alt="image">';
                                }?>
                            </div>
                            <div class="col-sm-12 col-md-7 col-lg-7">
                                <div class="form-contact-me">
                                    <div id="show_contact_msg"></div>
                                    <?php echo do_shortcode("[contact-form-7 id=\"101\" title=\"فرم تماس 1\"]"); ?>
                                </div>
                            </div>
                        </div>
                        <!-- /Contact Form -->

                        <!-- Contact Details -->
                        <div class="pt-50 pb-30">
                            <div class="section-head">
                                <h4>
                                    <span><?php echo get_option('rap_title_contact2');?></span>
                                    <?php echo get_option('rap_subtitle_contact2');?>
                                </h4>
                            </div>

                            <!-- Contact Info -->
                            <div class="sidebar-textbox row pb-50">
                                <div class="contact-info d-flex col-md-4">
                                    <div class="w-25">
                                        <div class="contact-icon">
                                            <i class="fas fa-phone"></i>
                                        </div>
                                    </div>
                                    <div class="contact-text w-75">
                                        <h2>تلفن</h2>
                                        <p><?php echo get_option('rap_phone');?></p>
                                    </div>
                                </div>
                                <div class="contact-info d-flex col-md-4">
                                    <div class="w-25">
                                        <div class="contact-icon">
                                            <i class="far fa-envelope-open"></i>
                                        </div>
                                    </div>
                                    <div class="contact-text w-75">
                                        <h2>ایمیل</h2>
                                        <p><?php echo get_option('rap_email');?></p>

                                    </div>
                                </div>
                                <div class="contact-info d-flex col-md-4">
                                    <div class="w-25">
                                        <div class="contact-icon">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                    </div>
                                    <div class="contact-text w-75">
                                        <h2>آدرس</h2>
                                        <p><?php echo get_option('rap_address');?></p>
                                    </div>
                                </div>
                            </div>
                            <!-- /Contact info -->

                            <!-- Map Container -->
                            <div class="contact-map pt-50">
                                <!-- GOOGLE MAP -->
                                <?php
                                $map = str_replace('\"', '', get_option('rap_map'));
                                echo  $map
                                ?>
                                <!--                                <div id="google-map"></div>-->
                            </div>
                            <!-- /Map Container -->

                            <!-- Social Media -->
                            <?php if(get_option('rap_social_network') == 'on'):?>
                                <div class="pt-50">
                                    <div class="social-media-block">
                                        <h4><?php echo get_option('rap_title_social');?></h4>
                                        <ul class="social-media-links">
                                            <li><a href="<?php echo get_option('rap_facebook');?>"><i class="fab fa-facebook-f"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_twitter');?>"><i class="fab fa-twitter"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_linkedin');?>"><i class="fab fa-linkedin-in"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_google_plus');?>"><i class="fab fa-google-plus-g"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_behance');?>"><i class="fab fa-behance"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_youtube');?>"><i class="fab fa-youtube"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_snapchat_ghost');?>"><i class="fab fa-snapchat-ghost"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_vimeo_v');?>"><i class="fab fa-vimeo-v"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_pinterest');?>"><i class="fab fa-pinterest-p"></i></a></li>
                                            <li><a href="<?php echo get_option('rap_instagram');?>"><i class="fab fa-instagram"></i></a></li>
                                        </ul>
                                    </div>
                                </div>
                            <?php endif;?>
                            <!-- /Social Media -->
                        </div>
                        <!-- /Contact Details -->
                    </div>
                </section>
                <!-- End Contact Subpage -->
            </div>
        </div>
        <!-- /Page changer wrapper -->
    </div>

<?php get_footer();