<?php get_header(); ?>
    <div class="wrapper-page">
        <!-- Header -->
        <header class="header">
            <div class="header-content">
                <div class="profile-picture-block">
                    <div class="my-photo">
                        <?php if(get_option('rap_site_logo')):?>
                            <img src="<?php echo get_option('rap_site_logo');?>" class="img-fluid" alt="<?php bloginfo('name');?>">
                        <?php endif;?>
                    </div>
                </div>
                <!-- Header Head -->
                <div class="site-title-block">
                    <div class="site-title"><?php bloginfo('name'); ?></div>
                    <div class="type-wrap">
                        <div class="typed-strings">
                            <?php echo get_option('rap_typed_strings'); ?>
                        </div>
                        <span class="typed" style="white-space:pre;"></span>
                    </div>
                </div>
                <!-- /Header Head -->

                <!-- Navigation -->
                <div class="site-nav">
                    <!-- Main menu -->
                    <?php
                    $menu_name = 'two_menu';
                    if (($locations = get_nav_menu_locations()) && isset($locations[$menu_name])) {
                        $menu = wp_get_nav_menu_object($locations[$menu_name]);
                        $menu_items = wp_get_nav_menu_items($menu->term_id);

                        $home_url = esc_url( home_url( '/' ) );
                        $menu_list = '<ul class="header-main-menu" id="header-main-menu">';
                        $menu_list .= '<li><a href="'.$home_url.'"><i class="fas fa-home"></i> خانه</a></li>';
                        foreach ((array) $menu_items as $key => $menu_item) {
                            $title = $menu_item->title;
                            $url = $menu_item->url;
                            $i_class = $menu_item->classes[0];
                            if($key){
                                $menu_list .= '<li><a href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }else{
                                $menu_list .= '<li><a class="active" href="'. $url .'"><i class="fas '. $i_class .'"></i> '. $title .'</a></li>';
                            }
                        }

                        echo $menu_list.'</ul>';

                    }
                    ?>
                    <!-- /Main menu -->

                    <!-- Copyrights -->
                    <div class="copyrights"><?php echo get_option('rap_footer');?></div>
                    <!-- / Copyrights -->
                </div>
                <!-- /Navigation -->
            </div>
        </header>
        <!-- /Header -->

        <!-- Mobile Header -->
        <div class="responsive-header">
            <div class="responsive-header-name">
                <?php if(get_option('rap_site_logo')):?>
                    <img src="<?php echo get_option('rap_site_logo');?>" class="responsive-logo" alt="<?php bloginfo('name');?>">
                <?php endif;?>
                <?php bloginfo('name'); ?>
            </div>
            <span class="responsive-icon"><i class="lnr lnr-menu"></i></span>
        </div>
        <!-- /Mobile Header -->

        <?php while (have_posts()) : the_post();?>
            <!-- Main Content Pages -->
            <div class="content-pages">
                <!-- Subpages -->
                <div class="sub-home-pages">

                    <!-- Titlebar -->
                    <div id="titlebar">
                        <div class="container">
                            <div class="special-block-bg">
                                <h2>نمونه کارها</h2>
                                <!-- Breadcrumbs -->
                                <nav id="breadcrumbs">
                                    <ul>
                                        <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="pe-7s-home"></i> خانه</a></li>
                                        <li><a href="#">نمونه کارها</a></li>
                                        <li><?php echo get_the_title();?></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <!-- /Titlebar -->

                    <!-- Content -->
                    <div class="container">
                        <header class="portfolio-head">
                            <?php the_post_thumbnail(); ?>
                            <div class="portfolio-head-content">
                                <p class="meta">
                                <?php
                                $work_categorys = wp_get_post_terms(get_the_ID(), 'work_category');
                                if ($work_categorys) {
                                    foreach ($work_categorys as $work_category):
                                        echo $work_category->name.' ';
                                    endforeach;
                                }
                                ?>
                                </p>
                                <h1><?php the_title(); ?></h1>
                                <div class="portfolio-desc hidden-xs">
                                    <p><b>منتشر شده:</b> <?php  echo get_the_date();?></p>
<!--                                    <p><b>مشاهده:</b> www.mysite.com</p>-->
                                    <div class="portfolio-attr">
                                        <a href="https://www.facebook.com/sharer.php?u=<?php the_permalink();?>&t=<?php the_title();?>"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
                                        <a href="https://twitter.com/home?status=<?php the_permalink();?>"><i class="fab fa-twitter" aria-hidden="true"></i></a>
                                        <a href="#"><i class="fab fa-pinterest-p" aria-hidden="true"></i></a>
                                        <a href="#"><i class="fab fa-behance" aria-hidden="true"></i></a>
                                    </div>
                                </div>
                            </div>
                        </header>

                        <div class="section">
                            <?php the_content();?>
                        </div>
                        <div class="related-projects pb-50 pt-50">
                            <h4>نمونه کارهای مرتبط</h4>
                            <div class="clearfix portfolio-grid pt-30">
                                <?php
                                $work_categorys = wp_get_post_terms(get_the_ID(), 'work_category');
                                if ($work_categorys) {
                                    foreach ($work_categorys as $work_category):
                                        $categorys[] = $work_category->term_id;
                                    endforeach;
                                    $first_work_category = $work_categorys[0]->term_id;
                                    $args=array(
                                        'post_type'        => array('work'),
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'work_category',
                                                'field'    => 'term_id',
                                                'terms'    => $categorys,
                                            ),
                                        ),
                                        'posts_per_page'=>2
                                    );
                                    $related = new WP_Query($args);
                                    if( $related->have_posts() ) {
                                        while ($related->have_posts()) : $related->the_post();
                                            $cat_slug = '';
                                            $cat_name = '';
                                            $term_lists = wp_get_post_terms(get_the_ID(), 'work_category');
                                            foreach($term_lists as $term_list){
                                                $cat_slug .= ' '.$term_list->slug;
                                                $cat_name .= '+'.$term_list->name;
                                            };?>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 portfolio-item<?php echo $cat_slug; ?> all">
                                                <div class="portfolio-img">
                                                    <?php the_post_thumbnail('',array('class' => 'img-responsive')); ?>
                                                </div>
                                                <div class="portfolio-data">
                                                    <h4><a href="<?php echo get_the_permalink();?>"><?php echo get_the_title();?></a></h4>
                                                    <p class="meta"><?php echo $cat_name; ?></p>
                                                    <div class="portfolio-attr">
                                                        <a href="<?php echo get_the_permalink();?>"><i class="lnr lnr-link"></i></a>
                                                        <a href="<?php echo the_post_thumbnail_url();?>" data-rel="lightcase:gal" title="Image Caption"><i class="lnr lnr-move"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php
                                        endwhile;
                                    }
                                    wp_reset_query();
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                </div><!-- #content -->
            </div>
            <!-- /Main Content -->
        <?php endwhile;?>

    </div>
<?php get_footer();